org.h2.engine

## Enum Mode.ViewExpressionNames

- java.lang.Object
- - java.lang.Enum<Mode.ViewExpressionNames>
  - - org.h2.engine.Mode.ViewExpressionNames

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Mode.ViewExpressionNames>
  Enclosing class:
    Mode

      public static enum Mode.ViewExpressionNames
      extends java.lang.Enum<Mode.ViewExpressionNames>

  Generation of column names for expressions to be used in a view.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AS_IS` Use both specified and generated names as is.
    `EXCEPTION` Throw exception for unspecified names.
    `MYSQL_STYLE` Use both specified and generated names as is, but replace too long generated names with `Name_exp_###`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Mode.ViewExpressionNames` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Mode.ViewExpressionNames[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AS_IS

          public static final Mode.ViewExpressionNames AS_IS

      Use both specified and generated names as is.

    - #### EXCEPTION

          public static final Mode.ViewExpressionNames EXCEPTION

      Throw exception for unspecified names.

    - #### MYSQL_STYLE

          public static final Mode.ViewExpressionNames MYSQL_STYLE

      Use both specified and generated names as is, but replace too long generated names with `Name_exp_###`.

  - ### Method Detail

    - #### values

          public static Mode.ViewExpressionNames[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Mode.ViewExpressionNames c : Mode.ViewExpressionNames.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Mode.ViewExpressionNames valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null